cabal-version:      3.4

-- Initial image-triangles.cabal generated by cabal init.  For further
-- documentation, see http://haskell.org/cabal/users-guide/

-- The name of the package.
name:               image-triangles

-- The package version.  See the Haskell package versioning policy (PVP)
-- for standards guiding when and how versions should be incremented.
-- https://wiki.haskell.org/Package_versioning_policy
-- PVP summary:      +-+------- breaking API changes
--                   | | +----- non-breaking API additions
--                   | | | +--- code changes with no API change
version:            0.1.0.0

-- A short (one-line) description of the package.
-- synopsis:

-- A longer description of the package.
-- description:

-- The license under which the package is released.
license:            BSD-3-Clause

-- The file containing the license text.
license-file:       LICENSE

-- The package author(s).
author:             Jack Wines

-- An email address to which users can send suggestions, bug reports, and
-- patches.
maintainer:         jackwines@mac.com

-- A copyright notice.
-- copyright:

-- category:

build-type:         Simple

-- Extra files to be distributed with the package, such as examples or a
-- README.
extra-source-files: README.md

executable image-triangles
  -- .hs or .lhs file containing the Main module.
  main-is:            Main.hs

  -- Modules included in this executable, other than Main.
  other-modules:
    MinDistanceSample
    Triangles

  -- LANGUAGE extensions used by modules in this package.
  default-extensions:
    DataKinds
    DeriveAnyClass
    DeriveGeneric
    DuplicateRecordFields
    FlexibleContexts
    FlexibleInstances
    MultiParamTypeClasses
    OverloadedLabels
    OverloadedStrings
    RankNTypes
    RecordWildCards
    RecursiveDo
    ScopedTypeVariables
    StandaloneDeriving
    TemplateHaskell
    TupleSections
    TypeFamilies
    TypeOperators
    UndecidableInstances

  -- Other library packages from which modules are imported.
  build-depends:
    , array
    , base
    , Color
    , colour
    , containers
    , diagrams-cairo
    , diagrams-contrib
    , diagrams-lib
    , diagrams-svg
    , linear
    , massiv
    , massiv-io
    , monad-parallel
    , optparse-generic
    , parallel
    , random
    , splitmix
    , vector
    , vector-th-unbox

  -- Directories containing source files.
  hs-source-dirs:     src

  -- Base language which the package is written in.
  default-language:   GHC2021

-- ghc-options:
--               -fprof-auto
--               "-with-rtsopts=-p"
